#include <stdio.h>
#include "captury/plugin.h"

// this demonstrates a simple plugin

// this function is called when the plugin gets activated - normally on startup of CapturyLive
// in the future activation/deactivation may be decoupled from loading/unloading of the library
static void activate(pluginInfo* info)
{
	liveLogInfo("activating Hello world plugin");
}

// this function is called when the plugin gets deactivated - normally on shutdown of CapturyLive
// in the future activation/deactivation may be decoupled from loading/unloading of the library
static void deactivate()
{
	liveLogInfo("deactivating Hello world plugin");
}

// this function is called when the plugin gets unloaded - normally on shutdown of CapturyLive
// in the future activation/deactivation may be decoupled from loading/unloading of the library
static void deinit(pluginInfo* info)
{
	liveLogInfo("deiniting Hello world plugin");
}

extern "C" unsigned char initPlugin(pluginInfo* info)
{
	if (info->size != sizeof(pluginInfo)) {
		liveLogWarning("incompatible version of CapturyLive for plugin");
		return 0;
	}

	liveLogInfo("initing Hello world plugin");

	info->name = "Hello World";
	info->activate = activate; // if you don't want to handle the following events simply don't set a function
	info->deactivate = deactivate;
	info->getConstraints = NULL;
	info->deinit = deinit;

	return 1; // all good
}
